Soft Phoneinfoga-Узнаём информацию по номеру телефона

Vertigo

Vertigo

Lex mea est Vulgate Linux
Gold Team
15.02.2017
1 196
3 563
phone7.png
Добрый день,Уважаемые Форумчане.
Лёгкий обзорчик сегодня будет посвящён утилите для поиска информации по телефону.

Не знаю насколько,но может кому-нибудь и пригодится.
Автор этой утилиты Raphael sundownde.

Работа основана на принципах OSINT.
Позволяет пробивать информацию как по одному номеру ,так и несколько номеров с ключом -i и текстовым файлом со списком.
И если задан ключ -о с именем выходного файла,сохранить результат поиска.

Кроме того,предусмотрен обход капчи google, если можно так это назвать.
А последний , просто звереет от таких запросов и спешит их блокировать.

Основные команды:
Код:
# python3 phoneinfoga.py -n +7980xxxxxxx -s ovh
# python3 ./phoneinfoga.py -i numbers.txt -o results.txt
# python3 phoneinfoga.py -n +7980xxxxxxx -s all --osint
Иностранные номера указываются в формате +код страны-код города-номер телефона.
Чтож, давайте установим и потестируем утилиту.
Установка:
Код:
# git clone https://github.com/sundowndev/PhoneInfoga.git
# cd PhoneInfoga/
# chmod +x phoneinfoga.py
# python3 -m pip install -r requirements.txt
# python3 phoneinfoga.py --help -запуск с выводом справки
Для теста в начале выбрал самого себя,но показывать вам там было нечего.
Были обычные ссылки, как всегда ,многообещающие и общего характера.
Тут до меня доходит,что моего номера нет в соцсетях, которыми не пользуюсь и надо найти подходящую кандидатуру.

Затем, для теста я взял (без спроса конечно,поэтому малевать буду сильно,уж извините) телефон незнакомой девушки из контакта.
Результат первый не особо впечатлил,были угаданы зоны покрытия,оператор,но город я узнал уже из ссылок.
И то ,что номер такой существует и актуален-это всё мы получаем прямо в терминале.
phone.png
Утилита при этом спрашивает,будем ли вводить какой-либо дополнительный аргумент.
Чаще всего-это тот же номер,только указанный через 8-ку,или написанный "сбоку",со скобками и т.д.
Дальше будет ещё вопрос ,будем ли искать отпечатки (для стран бывшего СНГ слабо подходит такая опция).

И разумеется, google влез своей блокировкой , даже провоцировать ситуацию не пришлось.
Но у нас есть опция обхода капчи.
phone1.png
Обход заключается в том,что надо открыть ссылку в браузере из коричневого текста и пройти капчу))
Затем жмякнуть F12, открыв инструмент разработчика,посмотреть на cookies из вкладки storage.
Нам нужны те cookies, где есть значение ID=,остальное false,или true уже не имеет значения.
Копируем их и вставляем в заготовленный утилитой параметр.
Если утилита продолжила работу после этого как на скрине выше ,то "обход"капчи свершился благополучно.
phone2.png
Можем видеть найденные ссылки из того же контакта,только несколько уже и иных страниц.
Все они связаны с одним и тем же лицом,откуда можно дополнительную информацию почерпнуть.
Вот одним из ресурсов девушка зря пользуется,наглядно видно какая у него "защита",очень на фишинговую страницу похоже.
phone3.png
phone4.png
Утилита ориентирована прежде всего на зарубежный запрос,поэтому её пришлось немного "усовершенствовать"
И ориентировать на русскоговорящий сегмент запроса.
Благо,что синтаксис кода понятен и прост.

Для этого идём в директорию osint и видим 2 файла:individuals.jason и social_medias.jason
Первый я не трогал,но в него аналогично можно добавить те ресурсы,которые удобны в поиске и пробитию телефона.
А во второй очень удобно добавить соц.сети,сайты знакомств,известные сети по интересам.

Открываем редактором этот файл,копируем сегмент от первой красной фигурной скобки до такой же замыкающей.
Ставим запятую после крайней замыкающей скобки,вставляем скопированное,пишем желаемое имя домена вместо указанного.
Следим,что отступы и интервалы сохранялись.И так сколько угодно,пока не добавите столько имён доменов,сколько требуется.
После крайней замыкающей красной скобки,запятую уже не ставим.Синюю замыкающую скобу не трогаем.Сохраняем.
phone5.png
Всё,инструмент доработан и готов к добыче информации .
Есть ещё директория example,где можно увидеть примеры указания номеров телефона для работы с утилитой.
phone6.png
На этом у меня всё,Благодарю всех за внимание и до новых встреч.
 
Последнее редактирование:
B

Bunder99

Member
19.04.2017
20
11
А после "усовершенствования" адекватно пробивает номера в instagram, vk, avito и т.п.? Интересует, конечно, российский сегмент)
 
D

deks

Прога у всех спрашивает логин с паролем от гита?))
 
Vertigo

Vertigo

Lex mea est Vulgate Linux
Gold Team
15.02.2017
1 196
3 563
А после "усовершенствования" адекватно пробивает номера в instagram, vk, avito и т.п.? Интересует, конечно, российский сегмент)
Да,но номера должны быть открытыми (osint).
Если профили закрытые,или на ленте нигде не указывался номер при какой-либо тематической беседе,то такие номера не найдёт.
То же касается ресурса hh-большинство настроек видимости резюме такое,что их могут видеть только зарегистрированные пользователи.
Ссылку может найти если резюме видно всему интернету.
Если будете вносить дополнения,то не забудьте имена домена прописать везде,т.к. скрин я делал в процессе и он немного неверно выглядит.
Прога у всех спрашивает логин с паролем от гита?))
Нет,это ненормально.Никакого запроса не должно быть.Значит у Вас возможно шрифт иной отображается при копировании команд.
Попробуйте ввести в терминале команду скачивания вручную,либо скопировать непосредственно с гитхаба.
 
Последнее редактирование:
  • Нравится
Реакции: Литиум
D

Den11

Active member
15.02.2017
40
3
Не открывается ссылка на каптчу
 
Vertigo

Vertigo

Lex mea est Vulgate Linux
Gold Team
15.02.2017
1 196
3 563
Не открывается ссылка на каптчу
IP-шник в терминале должен соответствовать IP-шнику в браузере.
Не откроет страницу с капчей,если при старте браузера автоматом меняется IP-шник с помощью дополнительного VPN или какого-либо анонимайзера.
 
T

turb0suslik

Очень интересно. А подскажите есть такое же добро для продвинутого поиска почты, и например логина?
 
R

RLV

нету cookie GOOGLE_ABUSE_EXEMPTION вместо него HSID и в value нету "ID="
Можешь что-нибудь посоветовать?
 
R

RLV

Отключил прокси в фаерфоксе, все равно не помогло
 
BF-107

BF-107

Active member
09.12.2016
34
20
Спасибо за обзор.Если довести "до ума" по российскому сегменту(добавить соц.сети,сайты знакомств и торговые площадки) сильно ускорит поиск.
Судя по файлу disposable_num_providers-сервисы отправки смс .Хотя не для нашего сегмента.
 
Последнее редактирование:
  • Нравится
Реакции: Vertigo
Vertigo

Vertigo

Lex mea est Vulgate Linux
Gold Team
15.02.2017
1 196
3 563
нету cookie GOOGLE_ABUSE_EXEMPTION вместо него HSID и в value нету "ID="
Можешь что-нибудь посоветовать?
Так не бывает с google. Всегда в хранилище есть кукисы.
Инструмент рассчитан на то,что браузер не открыт,а запускается при открытии ссылки.
У Вас возможно установлен куки-киллер,попробуйте его отключить ( работать можно через tor-траффик для анонимности)
Больше у меня нет вариантов,либо Вы не открыли необходимую вкладку с хранилищем.
 
R

RLV

Так не бывает с google. Всегда в хранилище есть кукисы.
Инструмент рассчитан на то,что браузер не открыт,а запускается при открытии ссылки.
У Вас возможно установлен куки-киллер,попробуйте его отключить ( работать можно через tor-траффик для анонимности)
Больше у меня нет вариантов,либо Вы не открыли необходимую вкладку с хранилищем.
Скорее всего дело в моем интернете, он у меня мобильный на некторое время. В любом случае, спасибо за ответ.
 
  • Нравится
Реакции: BF-107, Vertigo и Xulinam
Xulinam

Xulinam

Grey Team
02.03.2017
840
201
Скорее всего дело в моем интернете, он у меня мобильный на некторое время. В любом случае, спасибо за ответ.
так и есть когда я на мобильном пробывал у меня была тажа проблема!!!! но но проводном все стало на свои места
 
  • Нравится
Реакции: RLV и Vertigo
E

error_sys

Member
04.04.2018
7
0
Вроде всё поставил, ввожу номер, говорит корректно, идёт обращение к Numverify.com и валит такую бяку :(
[+] Timezone: Europe/Samara
[*] The number is valid and possible.
[*] Running Numverify.com scan...
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/urllib3/contrib/pyopenssl.py", line 453, in wrap_socket
cnx.do_handshake()
File "/usr/lib/python3/dist-packages/OpenSSL/SSL.py", line 1907, in do_handshake
self._raise_ssl_error(self._ssl, result)
File "/usr/lib/python3/dist-packages/OpenSSL/SSL.py", line 1639, in _raise_ssl_error
_raise_current_error()
File "/usr/lib/python3/dist-packages/OpenSSL/_util.py", line 54, in exception_from_error_queue
raise exception_type(errors)
OpenSSL.SSL.Error: [('SSL routines', 'tls_process_ske_dhe', 'dh key too small')]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 343, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 841, in _validate_conn
conn.connect()
File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 344, in connect
ssl_context=context)
File "/usr/lib/python3/dist-packages/urllib3/util/ssl_.py", line 342, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib/python3/dist-packages/urllib3/contrib/pyopenssl.py", line 459, in wrap_socket
raise ssl.SSLError('bad handshake: %r' % e)
ssl.SSLError: ("bad handshake: Error([('SSL routines', 'tls_process_ske_dhe', 'dh key too small')],)",)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 449, in send
timeout=timeout
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 638, in urlopen
_stacktrace=sys.exc_info()[2])
File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 398, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='numverify.com', port=443): Max retries exceeded with url: / (Caused by SSLError(SSLError("bad handshake: Error([('SSL routines', 'tls_process_ske_dhe', 'dh key too small')],)",),))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "phoneinfoga.py", line 568, in <module>
scanNumber(args.number)
File "phoneinfoga.py", line 533, in scanNumber
numverifyScan()
File "phoneinfoga.py", line 267, in numverifyScan
resp = requests.get(' ')
File "/usr/lib/python3/dist-packages/requests/api.py", line 75, in get
return request('get', url, params=params, **kwargs)
File "/usr/lib/python3/dist-packages/requests/api.py", line 60, in request
return session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 524, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 637, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 514, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: HTTPSConnectionPool(host='numverify.com', port=443): Max retries exceeded with url: / (Caused by SSLError(SSLError("bad handshake: Error([('SSL routines', 'tls_process_ske_dhe', 'dh key too small')],)",),))
 
A

alЬt

Grey Team
31.01.2018
60
63
Спасибо, проверим в бою. Теперь есть желание слегка доработать под себя и показать свою версию.
 
CyberX88

CyberX88

Well-known member
05.02.2017
120
42
Вроде всё поставил, ввожу номер, говорит корректно, идёт обращение к Numverify.com и валит такую бяку :(
[+] Timezone: Europe/Samara
[*] The number is valid and possible.
[*] Running Numverify.com scan...
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/urllib3/contrib/pyopenssl.py", line 453, in wrap_socket
cnx.do_handshake()
File "/usr/lib/python3/dist-packages/OpenSSL/SSL.py", line 1907, in do_handshake
self._raise_ssl_error(self._ssl, result)
File "/usr/lib/python3/dist-packages/OpenSSL/SSL.py", line 1639, in _raise_ssl_error
_raise_current_error()
File "/usr/lib/python3/dist-packages/OpenSSL/_util.py", line 54, in exception_from_error_queue
raise exception_type(errors)
OpenSSL.SSL.Error: [('SSL routines', 'tls_process_ske_dhe', 'dh key too small')]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 600, in urlopen
chunked=chunked)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 343, in _make_request
self._validate_conn(conn)
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 841, in _validate_conn
conn.connect()
File "/usr/lib/python3/dist-packages/urllib3/connection.py", line 344, in connect
ssl_context=context)
File "/usr/lib/python3/dist-packages/urllib3/util/ssl_.py", line 342, in ssl_wrap_socket
return context.wrap_socket(sock, server_hostname=server_hostname)
File "/usr/lib/python3/dist-packages/urllib3/contrib/pyopenssl.py", line 459, in wrap_socket
raise ssl.SSLError('bad handshake: %r' % e)
ssl.SSLError: ("bad handshake: Error([('SSL routines', 'tls_process_ske_dhe', 'dh key too small')],)",)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 449, in send
timeout=timeout
File "/usr/lib/python3/dist-packages/urllib3/connectionpool.py", line 638, in urlopen
_stacktrace=sys.exc_info()[2])
File "/usr/lib/python3/dist-packages/urllib3/util/retry.py", line 398, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='numverify.com', port=443): Max retries exceeded with url: / (Caused by SSLError(SSLError("bad handshake: Error([('SSL routines', 'tls_process_ske_dhe', 'dh key too small')],)",),))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "phoneinfoga.py", line 568, in <module>
scanNumber(args.number)
File "phoneinfoga.py", line 533, in scanNumber
numverifyScan()
File "phoneinfoga.py", line 267, in numverifyScan
resp = requests.get(' ')
File "/usr/lib/python3/dist-packages/requests/api.py", line 75, in get
return request('get', url, params=params, **kwargs)
File "/usr/lib/python3/dist-packages/requests/api.py", line 60, in request
return session.request(method=method, url=url, **kwargs)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 524, in request
resp = self.send(prep, **send_kwargs)
File "/usr/lib/python3/dist-packages/requests/sessions.py", line 637, in send
r = adapter.send(request, **kwargs)
File "/usr/lib/python3/dist-packages/requests/adapters.py", line 514, in send
raise SSLError(e, request=request)
requests.exceptions.SSLError: HTTPSConnectionPool(host='numverify.com', port=443): Max retries exceeded with url: / (Caused by SSLError(SSLError("bad handshake: Error([('SSL routines', 'tls_process_ske_dhe', 'dh key too small')],)",),))
А зависимости установил?
 
E

error_sys

Member
04.04.2018
7
0
А зависимости установил?
Да конечно. По инструкции из requirements.txt. Скажу больше, кали последняя, только что установлена, обновления последние. Единственное, через виртуалку работает, но я думаю причина не в этом, к что то с библиотеками питона :(
 
CyberX88

CyberX88

Well-known member
05.02.2017
120
42
Да конечно. По инструкции из requirements.txt. Скажу больше, кали последняя, только что установлена, обновления последние. Единственное, через виртуалку работает, но я думаю причина не в этом, к что то с библиотеками питона :(
попробуй, а сам сайт (не реклама) работает? через кали?
 
Мы в соцсетях: